#!/gin/sh
###
#ALFA1-TEST
# Script to run the test over a set of files
# writted by:
#	De Simoni Luis Fernando 	(ldesimon@dc.uba.ar)
#	Wasserman Demian		(demianw@bigfoot.com)
#
#       To run the simulations you must to have
#         1 - Assmebler for the ALFA1 (GNU ASSEMBLER Version > 2.10 (Compiled with special Options) ) 
#         2 - Linker for the ALFA1 (GNU LINKER Version > 2.10 (Compiled with special Options))
#         3 - The ALFA1 compiled to simulate the SPARC
###
clear
echo "Start the simulation for testing the ALFA1..."
echo "To run the simulation you need:"
echo "                               "

echo "1 - Assmebler for the ALFA1 (GNU ASSEMBLER Version > 2.10 (Compiled with special Options)"
echo "	Looking for the alfa1-as (You must to have this file in the PATH)..."


_alfa1as='alfa1-as --version >&1'
_test='echo $_alfa1as | grep GNU'
if [ "$_test" = "" ]; then
        echo "Can't find the assembler file: alfa1-as"
	echo "Install the GNU binutils and then rename the file as to alfa1-as"
        exit 1
fi

if [ "$_test" != "" ]; then
        echo "...Ok... alfa1-as founded"
fi

#Looking for the alfa1-ld
echo "                        "
echo "2 - Linker for the ALFA1 (GNU LINKER Version > 2.10 (Compiled with special Options)"
echo "	 Looking for the alfa1-ld (You must to have this file in the PATH)..."

d='alfa1-ld --version >&1'
_testld='echo $_alfa1ld | grep GNU'
if [ "$_testld" = "" ]; then
         echo "Can't find the Linker file: alfa1-ld"
        echo "Install the GNU binutils and then rename the file ld to alfa1-ld"
        exit 1
fi

if [ "$_testld" != "" ]; then
        echo "...Ok... alfa1-ld founded"
fi


echo "                       "
echo "3 - You need the alfa1-simu at the path"

#Looking for the alfa1-simu

       echo "	Install and Compile the alfa1 and then incluide it in your PATH"
       echo "	To include in your path you must execute the command"
       echo "	EXPORT PATH=\$PATH:/dir"
       echo "	Where dir is the absolute directory of the alfa1-simu"

echo "4 - You must provide to the alfa1-simu the iu.ma"
echo "	Copy it where the alfa1-simu resides"
echo " 		"
echo "All the requirements are OK"
echo "Now enter the directory that you want to test and execute ./batch or sh batch"
echo "Ex: cd add"
echo "    sh batch"
echo "The script ensamble and compile the .s files generating the .s.map file and the execute the ALFA1-SIMU"
echo "You must to have write permisses to run the test"
echo ""
echo "End of the installation process"


